=== debian/changelog ===
stone-soup (0.21.0-1mx15+1) mx; urgency=medium

  * New relesae repackaged for MX Linux.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 03 Feb 2018 08:10:45 -0800

stone-soup (0.21.0-1mx17+1) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 03 Feb 2018 06:54:51 -0800

stone-soup (0.20.1-1mx17+1) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sun, 01 Oct 2017 16:44:25 -0400

stone-soup (0.20.1-1mx15+1) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Mon, 17 Jul 2017 18:21:05 -0700

stone-soup (0.20.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 02 Jul 2017 14:23:36 +0200

stone-soup (0.20.0-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 28 May 2017 18:33:53 +0200

stone-soup (0.19.5-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 01 Mar 2017 19:07:22 +0100

stone-soup (0.19.4-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 30 Jan 2017 18:29:51 +0100

stone-soup (0.19.3-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 22 Jan 2017 14:06:08 +0100

stone-soup (0.19.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 23 Nov 2016 17:28:44 +0100

stone-soup (0.19.0-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 06 Nov 2016 17:20:11 +0100

stone-soup (0.18.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 06 May 2016 19:14:32 +0200

stone-soup (0.17.1-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 10 Dec 2015 20:34:51 +0100

stone-soup (0.17.0-1~getdeb2) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 06 Nov 2015 19:57:21 +0100

stone-soup (0.16.2-1~getdeb2) trusty; urgency=medium

  * Fix debian/watch file

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 14 Aug 2015 11:29:19 +0200

stone-soup (0.16.2-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 13 Aug 2015 20:44:16 +0200

stone-soup (0.16.1-1~getdeb2) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 06 Jun 2015 19:54:55 +0200

stone-soup (0.15.2-1~getdeb2) trusty; urgency=medium

  * New upstream version
    * Assorted crash fixes, bug fixes, and display cleanups.
    * Always weight formicid weapon acquirement towards two-handed weapons.
    * Allow in-game updates to the mon_glyph option to change the glyph.
    * Allow the option syntax of mon_glyph = <mon1>:<mon2> in order to set
    the color/glyph of one monster using the base values of another monster.
    * In tiles, the tile_player_tile option allows you to specify an
    arbitrary monster tile to display for your character. The options
    tile_weapon_offsets and tile_shield_offsets can be used to adjust
    the player weapon and shield location when using these custom tiles.
    * For use with tile_player_tile: the old orb guardian tile, a new monster
    vampire tile, and weapon/shield offsets for various monster tiles.

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 30 Oct 2014 21:39:15 +0100

stone-soup (0.15.2-1~getdeb1) trusty; urgency=medium

  * New upstream version
    * Assorted crash fixes, bug fixes, and display cleanups.
    * Always weight formicid weapon acquirement towards two-handed weapons.
    * Allow in-game updates to the mon_glyph option to change the glyph.
    * Allow the option syntax of mon_glyph = <mon1>:<mon2> in order to set
    the color/glyph of one monster using the base values of another monster.
    * In tiles, the tile_player_tile option allows you to specify an
    arbitrary monster tile to display for your character. The options
    tile_weapon_offsets and tile_shield_offsets can be used to adjust
    the player weapon and shield location when using these custom tiles.
    * For use with tile_player_tile: the old orb guardian tile, a new monster
    vampire tile, and weapon/shield offsets for various monster tiles.

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 21 Oct 2014 20:39:06 +0200

stone-soup (0.15.1-1~getdeb1) trusty; urgency=medium

  * New upstream version
    * Assorted crash fixes.
    * Monsters don't benefit from player throwing skill.
    * Monsters no longer flee at random on re-entering a level after a short
    time.
    * Several messages correctly no longer appear for out-of-sight monster
      actions.
    * Dithmenos' stealth bonus works properly again.
    * Several spell icons that missed the initial 0.15 release.

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 16 Sep 2014 21:47:24 +0200

stone-soup (0.15.0-1~getdeb1) trusty; urgency=medium

  * New upstream version
    Stone Soup 0.15 (20140828)
    --------------------------
    * New god: Qazlal Stormbringer.
    * Nemelex Xobeh and decks in general have had many changes.
    * Ranged combat has been rewritten from the ground up.
    * Inventory weight limits have been removed.
    * Item destruction is no more, and corrosion has a more severe but
      temporary effect.

    Branches, environment
    ---------------------
    * The Hall of Blades has been cut.
    * Crypt is now three levels (was five).
    * Some areas of the Tomb layout can now vary.
    * Mechanical traps no longer drop ammo.
    * Most randomly-placed teleport traps now disappear after one use.

