=== debian/control ===
Source: stone-soup
Section: games
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Christoph Korn <c_korn@gmx.de>
Build-Depends: debhelper (>= 9),
               libpcre3-dev,
               libreadline6-dev,
               zlib1g-dev,
               libbz2-dev,
               libsdl2-dev,
               libsdl2-image-dev,
               libsdl2-mixer-dev,
               libfreetype6-dev,
               libsqlite3-dev,
               libpng12-dev,
               liblua5.1-0-dev,
               bison,
               flex,
               ttf-dejavu-core,
               libncursesw5-dev,
               pkg-config
Standards-Version: 3.9.7
Homepage: http://crawl.develz.org/wordpress/

Package: stone-soup
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ttf-bitstream-vera,
         ttf-dejavu-core
Description: Free rogue-like game of exploration and treasure-hunting
 Dungeon Crawl Stone Soup is a fun, free rogue-like game of
 exploration and treasure-hunting in dungeons filled with
 dangerous and unfriendly monsters in a quest for the
 mystifyingly fabulous Orb of Zot.
