=== debian/watch ===
version=3
https://github.com/crawl/crawl/releases \
    (?:.*/)?archive/([\d\.]+)\.tar\.gz
